LIBRARY = libSceneGraph.a#
OBJS = SceneGraph.o SceneGraphVisitor.o GlCompileVisitor.o GlCompileSmoothVisitor.o \
	GlCompileFlatVisitor.o GlUncompileVisitor.o GlActionVisitor.o \
	SceneGraphBuilder.o GraphNode.o Group.o Transform.o Material.o VertexArray.o

CC = g++
AR = ar
RM = /bin/rm -f

CFLAGS = -Wall -O2 -I../Utility $(FLAGS)
ARFLAGS = rc

all: $(OBJS)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS)

%.o: %.cpp GraphNode.h %.h
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) *~ *.o $(LIBRARY)

